footer{
    background-color:#7C53B4;
    padding: 50px 150px;
}
.footer-text-edit{
    color: #ddb4ff;
    display: grid;
}
.footer-text-edit a {
    margin-bottom: 8px;
    font-size: 13px;
}
.footer-text-edit a:hover {
    color: unset;
}
.colorWhite{
    color:white;
}
.footer-items a {
    margin-bottom: 50px;
    display: grid;
}
.footer-items a:hover {
    color: unset;
}
.input-group {
    margin-top: 40px;
}
.social-media-footer {
    background-color:#2e0152;
    padding: 20px 150px;
    color: #ddb4ff;
}
.social-media-fonts i {
    margin-right: 25px;
}
.social-media-fonts i:last-child {
    margin-right: 0px;
}
a {
    cursor: pointer;
}
.footer-items a:last-child {
    margin-bottom: 0px;
}
.bold {
    font-weight: bold;
}
.hidden-footer {
    background-color: #7C53B4;
    padding: 50px;
    display: none;
}
.hidden-footer-items a {
    display: grid;
    color: white;
    font-size: 12px;
    margin-bottom:5px;
}
.hidden-footer-items {
    border-bottom: 1px solid white;
}
.hidden-footer a:last-child {
    margin-bottom: 20px;
}
.footer-register-button {
    padding: 10px 120px;
    background-color: unset;
    border: 2px solid white;
    border-radius: 20px;
    margin-top: 15px;
    color: white;
    margin-bottom: 30px;
}
.footer-text {
    margin: 0px 0px 0px;
}
.last-row-items a {
    font-size: 12px;
    margin-top: 20px;
}
.last-row-items {
    color: white;
    margin-top: 20px;
}
/* media-query for laptop 1024px */
@media only screen and (max-width: 1024px) {
    footer {
        padding: 50px 50px;
    }
    .social-media-footer {
        padding: 20px 50px;
    }
}
/* media-query for tablet */
@media only screen and (max-width: 768px) {
    footer {
        display: none;
    }
    .hidden-footer {
        display: -webkit-box;
    }
}
/* media-query for mobile-m */
@media only screen and (max-width: 425px) {
    .hidden-footer-items p {
        font-size: 12px;
    }
    .hidden-footer-items a {
        font-size: 10px;
    }
    .footer-register-button {
        padding: 10px 60px;
    }
    .social-media-fonts i {
        margin-right: 10px;
    }
}
/* media-query for mobile-s */
@media only screen and (max-width: 320px) {
    .hidden-footer {
        padding: 5px 20px;
    }
    .last-row-items {
        text-align: center; 
        margin-bottom: 20px;
    }
    .social-media-footer {
        padding: 20px 2px;
    }
}